<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.xml-formatter" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="date-format,exception-output-type,key-overrides,meta-data,namespace-uri,pretty-print,print-details,print-namespace,record-delimiter,zone-id"/>
        <elem name="addr-params" value="profile,subsystem,xml-formatter"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.formatter.$xml-formatter"/>
    </provides>
    <refs>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="zone-id" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="meta-data" nillable="true" stability="default"/>
        <param name="date-format" nillable="true" stability="default"/>
        <param name="record-delimiter" nillable="true" stability="default"/>
        <param name="namespace-uri" nillable="true" stability="default"/>
        <param name="exception-output-type" nillable="true" stability="default"/>
        <param name="print-details" nillable="true" stability="default"/>
        <param name="xml-formatter" feature-id="true"/>
        <param name="pretty-print" nillable="true" stability="default"/>
        <param name="print-namespace" nillable="true" stability="default"/>
        <param name="key-overrides" nillable="true" stability="default"/>
    </params>
</feature-spec>